/*
 * @Author       : WuWei
 * @LastEditors  : WuWei
 * @Date         : 2021-08-26 10:36:44
 * @LastEditTime : 2023-02-09 14:55:55
 * @Description  : 二维码任务二期
 */

import 'package:app_package/app_package.dart';
import 'package:task_package/src/models/sort_list.dart';
import 'package:task_package/src/models/tak_operation_instruction.dart';
import 'package:task_package/src/models/task_equipment_repair.dart';
import 'package:task_package/src/models/task_operation_form.dart';
import 'package:task_package/src/models/task_operation_instruction_list.dart';
import 'package:task_package/src/models/task_operation_node_child_list.dart';
import 'package:task_package/src/models/task_operation_node_detail.dart';
import 'package:task_package/src/models/task_operation_node_list.dart';
import 'package:task_package/src/models/task_operation_standard.dart';
import 'package:task_package/src/models/type_list.dart';

abstract class QrcodeService {
  Future<ResModel<TaskOperationFormModel>> getTaskOperationDetail(data);
  Future<int?> postOperationForm(data);
  Future<ResModel<List<TaskOperationStandard>?>> getOperationStandardList(data);
  Future<ResModel<TaskOperationNodeList>> getOperationNodeList(data);
  Future<ResModel<List<TaskOperationNodeChildList>?>> getOperationNodeChildList(
      data);
  Future<ResModel<TakOperationInstruction>> getOperationInstructionDetail(data);
  Future<int?> postEquipmentRepair(data);
  Future<ResModel<TaskEquipmentRepair>> getEquipmentRepairDetail(data);
  Future<ResModel<List<TaskOperationInstructionList>?>>
      getOperationInstructionList(data);
  Future<ResModel<TaskOperationNodeDetail>> getOperationNodeDetail(data);
  Future<ResModel<TaskOperationFormModel>> getOperationDetail(data);
  Future<String?> postTaskEquRepair(data);
  Future<ResModel<List<TypeListModel>>> getTypeList();
  Future<ResModel<List<SortListModel>>> getSortList(data);
}
